<?php
/**
 * Created by PhpStorm.
 * User: Noa
 * Date: 19/09/2017
 * Time: 21:25
 */

namespace Noa\Example\Middlewares\Controller;


use GuzzleHttp\Psr7\Response;
use Noa\Router\Router;

abstract  class AbstractController
{
    /**
     * @var Response $response
     */
    protected $response;

    /**
     * @param $name
     * @param $arguments
     * @return mixed
     */
    public function __call($name, $arguments)
    {
        $this->response = Router::getResponse();
        $return = call_user_func_array([$this, $name], $arguments);
        Router::setResponse($this->response);
        return $return;
    }

    protected function write($value) {

        $this->response->getBody()->write($value);
        return $this->response;
    }
}