<?php
/**
 * Created by PhpStorm.
 * User: Noa
 * Date: 19/09/2017
 * Time: 21:24
 */

namespace Noa\Example\Middlewares\Controller;


use Noa\Router\Router;

class BlogController extends AbstractController
{
    protected function home() {

        $this->write("home")
            ->withStatus(200);
    }

    protected function page($id) {

        $request = Router::getRequest();

        $this->write("content page #".$id)
            ->withStatus(201);
    }

    protected function create() {

        $request = Router::getRequest();
        $name = isset($request->getParsedBody()['name']) ? $request->getParsedBody()['name'] : '';

        $this->write("create new blog page with name $name")
            ->withStatus(201);
    }

    protected function error() {

        $this->write("content page #".$id2)
            ->withStatus(500);
    }
}